curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/admin/game-configs/{id} \
--header 'x-api-token: <api-key>'import requests
url = "https://{subdomain}.nudj.cx/api/v2/admin/game-configs/{id}"
headers = {"x-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};
fetch('https://{subdomain}.nudj.cx/api/v2/admin/game-configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organisationId": "<string>",
"details": {
"title": "<string>",
"description": "<string>",
"light": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
},
"dark": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
}
},
"config": {
"clientBranding": {
"gameTitle": "<string>",
"gameDescription": "<string>",
"clientName": "<string>",
"clientWebsite": "<string>",
"background": {
"image": "<string>",
"color": "<string>"
},
"logo": {
"url": "<string>",
"alt": "<string>"
},
"favicon": "<string>",
"font": "<string>",
"colors": {
"primary": "<string>",
"on-primary": "<string>",
"secondary": "<string>",
"on-secondary": "<string>",
"accent": "<string>",
"on-accent": "<string>"
},
"style": {
"cornerRadius": 123
},
"icons": {
"play": "<string>",
"pause": "<string>",
"restart": "<string>",
"home": "<string>",
"volume": "<string>",
"volume-off": "<string>",
"level-completed": "<string>",
"level-failed": "<string>",
"game-completed": "<string>",
"game-over": "<string>",
"star": "<string>"
}
},
"gameConfig": {
"game": "<string>",
"odds": 0.5,
"scratchCardImage": "<string>",
"backgroundImage": "<string>",
"productImages": [
{
"id": "<string>",
"url": "<string>",
"alt": "<string>",
"winning": true,
"distributionEventId": "<string>"
}
],
"particlesColor": "<string>",
"cardColor": "<string>",
"cardGlowingColor": "<string>",
"cardTextColor": "<string>",
"sounds": {
"win": "<string>",
"lose": "<string>"
}
},
"textContent": {
"loading": {
"title": "<string>",
"subtitle": "<string>",
"progressText": "<string>",
"logoAlt": "<string>"
},
"home": {
"startButton": "<string>",
"loadingText": "<string>",
"preparingText": "<string>",
"features": [
{
"title": "<string>",
"description": "<string>"
}
]
},
"tutorial": {
"title": "<string>",
"subtitle": "<string>",
"startButton": "<string>",
"logoAlt": "<string>",
"instructions": [
{
"icon": "<string>",
"title": "<string>",
"description": "<string>"
}
]
},
"gameUI": {
"soundToggle": {
"enable": "<string>",
"disable": "<string>"
},
"pauseToggle": {
"pause": "<string>",
"resume": "<string>"
}
},
"modals": {
"win": {
"title": "<string>",
"subtitle": "<string>",
"homeButton": "<string>",
"closeButton": "<string>"
},
"lose": {
"title": "<string>",
"subtitle": "<string>",
"homeButton": "<string>",
"closeButton": "<string>"
}
},
"errors": {
"configurationError": "<string>",
"configurationErrorMessage": "<string>",
"retryButton": "<string>",
"imageLoadError": "<string>"
},
"accessibility": {
"playButton": "<string>",
"pauseButton": "<string>",
"homeButton": "<string>",
"progressIndicator": "<string>"
},
"status": {
"gameStarted": "<string>",
"win": "<string>",
"lose": "<string>"
}
}
},
"createdAt": "<string>",
"rewardDistributions": [
{
"points": 1,
"xp": 1,
"distributionEventId": "<string>",
"rewardAllocations": [
{
"rewardId": "<string>",
"allocationId": "<string>",
"amountToDistribute": 2
}
],
"numberOfRewardsToReceive": 1
}
],
"maxCompletionsPerPeriod": 1,
"updatedAt": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Get game config by ID
Retrieve a game configuration by its ID.
Authorizations
Headers
The language to return the game config in. If not provided, the default organisation language is used.
Path Parameters
The ID of the game config
^[0-9a-fA-F]{24}$Response
Successful response
A Nudj game configuration
The id of the game configuration
^[0-9a-fA-F]{24}$The organisation that the game configuration belongs to
^[0-9a-fA-F]{24}$The details of this game configuration such as title and description
Show child attributes
Show child attributes
The type of game
catch, memory, scratch Full game configuration including client branding, game-specific config, and text content
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
The date when this game configuration was created
The reward distributions (prizes) for this game configuration
Show child attributes
Show child attributes
The progress period for repeat limits
daily, weekly, monthly, yearly, open The maximum number of times this game can be completed per period
x >= 0The date when this game configuration was last updated
Was this page helpful?

